aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-dialog/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-10-21 14:28:39 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-10-21 14:28:39 +0200
commit753f6fd9e4aaf57064c9c070a0260f32c1b20233 (patch)
treef50b523427561feb837f91d879eab4dcec8d4fe9 /testing/py-dialog/APKBUILD
parent1122c0a125c063b4e956f05062d26a26af773a98 (diff)
downloadaports-753f6fd9e4aaf57064c9c070a0260f32c1b20233.tar.gz
aports-753f6fd9e4aaf57064c9c070a0260f32c1b20233.tar.bz2
aports-753f6fd9e4aaf57064c9c070a0260f32c1b20233.tar.xz
testing/py-dialog: new aport
Diffstat (limited to 'testing/py-dialog/APKBUILD')
-rw-r--r--testing/py-dialog/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-dialog/APKBUILD b/testing/py-dialog/APKBUILD
new file mode 100644
index 0000000000..97b111d358
--- /dev/null
+++ b/testing/py-dialog/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=py-dialog
+pkgver=3.3.0
+pkgrel=0
+pkgdesc="A Python interface to the UNIX dialog utility and mostly-compatible programs"
+url="http://pythondialog.sourceforge.net/"
+arch="noarch"
+license="LGPL"
+depends="dialog"
+depends_dev=""
+makedepends="$depends_dev py-setuptools binutils"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/project/pythondialog/pythondialog/${pkgver}/python2-pythondialog-${pkgver}.tar.bz2"
+
+_builddir="$srcdir"/python2-pythondialog-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4fbea2c8d211c2bd49f239d76af4428e python2-pythondialog-3.3.0.tar.bz2"
+sha256sums="04e93f24995c43dd90f338d5d865ca72ce3fb5a5358d4daa4965571db35fc3ec python2-pythondialog-3.3.0.tar.bz2"
+sha512sums="3340d383cb9ccab1d5c6e7e73c6de5ba4ec24193746ae230a88d2f1e4d674c62707f058c8b0d200be2859f169d01d360314eb075d6dd84720d4cea47701f0cf7 python2-pythondialog-3.3.0.tar.bz2"